<?php
  if($action=="colegiar" || $action=="registrar") {
    $nombre=getParam("nombre");
    $apellido1=getParam("apellido1");
    $apellido2=getParam("apellido2");
    $nif=getParam("nif");
    $select1=getParam("select1");
    $numtitulo=getParam("numtitulo");
    $select2=getParam("select2");
    $empresa=getParam("empresa");
    $cargo=getParam("cargo");
    $cif=getParam("cif");
    $direccion=getParam("direccion");
    $provincia=getParam("provincia");
    $poblacion=getParam("poblacion");
    $postal=getParam("postal");
    $telfijo=getParam("telfijo");
    $telmovil=getParam("telmovil");
    $fax=getParam("fax");
    $email=getParam("email");
    $observaciones=getParam("observaciones");
    $colegiat=getParam("colegiat");
    $corredoria=getParam("corredoria");
    $usuario=substr($nif,0,8);
    $password=create_password();
    $password2=$password;
    $protecciondatos=getParam("protecciondatos");
    $fecha = date("y-m-d");
    $error=array();
    if($nif=="elpollas") {
      $error[]="Que pasa PEPE. Tu si que sabes!!!";
      $page=$action;
    }
    if(strlen($nif)!=9) {
      $error[]="El N.I.F. que ha entrat no te 9 caracters.";
      $page=$action;
    } else {
      $ok=1;
      for($i=0;$i<8;$i++) {
        $temp=substr($nif,$i,1);
        if($temp<'0' || $temp>'9') $ok=0;
      }
      if(!$ok) {
        $error[]="El N.I.F. que ha entrat ha de tenir vuit numeros.";
        $page=$action;
      }
      $ok=0;
      $temp=strtolower(substr($nif,8,1));
      if($temp>='a' && $temp<='z') $ok=1;
      if(!$ok) {
        $error[]="El N.I.F. que ha entrat ha de tenir al darrera una lletra.";
        $page=$action;
      }
    }
    $result=mysql_query("select * from users where nif='".$nif."'",$link);
    if($row=mysql_fetch_array($result)) {
      mysql_free_result($result);
      $error[]="Existeix un usuari amb el mateix N.I.F.";
      $page=$action;
    }
    $result=mysql_query("select * from users where login='".$usuario."'",$link);
    if($row=mysql_fetch_array($result)) {
      mysql_free_result($result);
      $error[]="Existeix un usuari amb el mateix nom d'usuari";
      $page=$action;
    }
    if(count($error)==0) {
      $add_all = "insert into `users`(`fecha`,`login`,`nombre`,`apellido1`,`apellido2`,`nif`,`tipo`,`num_titulo`,`autorizacion`,`nom_empresa`,`cargo_empresa`,`cif`,`direccion`,`provincia`,`poblacion`,`codigo_postal`,`tel_fijo`,`tel_movil`,`tel_fax`,`email`,`valido`,`colegiat`,`corredoria`) values ('$fecha','$usuario','$nombre','$apellido1','$apellido2','$nif','$select1','$numtitulo','$select2','$empresa','$cargo','$cif','$direccion','$provincia','$poblacion','$postal','$telfijo','$telmovil','$fax','$email','0','$colegiat','$corredoria')";
      mysql_query($add_all) or die (mysql_error());
      $result=mysql_query("select id from users where login='".$usuario."'",$link);
      $row=mysql_fetch_array($result);
      $id=$row["id"];
      mysql_free_result($result);
      if($password!="" && $password==$password2) {
        $temp=md5($password);
        $modify_all = "update users set password=\"$temp\" where login='$usuario'";
        mysql_query($modify_all) or die(mysql_error());
      }
      include("mail".$action.".php");
      $page="message";
    }
  } else if($action=="contactar") {
    $nombre=getParam("nombre");
    $telefono=getParam("telefono");
    $email=getParam("email");
    $observaciones=getParam("observaciones");
    $protecciondatos=getParam("protecciondatos");
    include("mailcontactar.php");
    $page="message";
  } else if($action=="formacion") {
    $nombre=getParam("nombre");
    $nif=getParam("nif");
    $colegiado=getParam("colegiado");
    $tipo=getParam("tipo");
    $cargo=getParam("cargo");
    $direccion=getParam("direccion");
    $poblacion=getParam("poblacion");
    $fax=getParam("fax");
    $telefono=getParam("telefono");
    $email=getParam("email");
    $interes=getParam("interes");
    $observaciones=getParam("observaciones");
    $protecciondatos=getParam("protecciondatos");
    include("mailformacion.php");
    $page="message";
  } else if($action=="buscacon") {
    $numcol=getParam("numcol");
    $nombre=getParam("nombre");
    $telefono=getParam("telefono");
    $email=getParam("email");
    $observaciones=getParam("observaciones");
    $protecciondatos=getParam("protecciondatos");
    include("mailbuscacon.php");
    $page="message";
  }
?>
